Magento Forum

   
Crash after upgrade from 1.1.8 to 1.2.1
 
lowspirit
Jr. Member
 
Total Posts:  8
Joined:  2008-06-26
 

I run a working version of 1.1.8. From that shop backend i create a backup of the DB. At another server i install a fresh version of 1.2.1. Using PHP MyAdmin i import the 1.1.8 DB GZ file with no errors. Immediately after this both backend and frontend of 1.2.1 crashes.
Can anybody help? Is it at all possible to get the DB data from 1.1.8 to run under 1.2.1? I use the default theme without changes.

Error MSG:
Error in file: “/home/panoptic/public_html/online-shop/app/code/core/Mage/CatalogSearch/sql/catalogsearch_setup/mysql4-upgrade-0.7.5-0.7.6.php” - SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘catalogsearch_result’ already exists
Trace:
#0 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/Resource/Setup.php(292): Mage::exception(’Mage_Core’, ‘Error in file: ...’)
#1 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/Resource/Setup.php(179): Mage_Core_Model_Resource_Setup->_modifyResourceDb(’upgrade’, ‘0.7.5’, ‘0.7.6’)
#2 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/Resource/Setup.php(146): Mage_Core_Model_Resource_Setup->_upgradeResourceDb(’0.7.5’, ‘0.7.6’)
#3 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/Resource/Setup.php(121): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/Config.php(214): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /home/panoptic/public_html/online-shop/app/code/core/Mage/Core/Model/App.php(242): Mage_Core_Model_Config->init(Array)
#6 /home/panoptic/public_html/online-shop/app/Mage.php(432): Mage_Core_Model_App->init(’’, ‘store’, Array)
#7 /home/panoptic/public_html/online-shop/app/Mage.php(453): Mage::app(’’, ‘store’, Array)
#8 /home/panoptic/public_html/online-shop/index.php(52): Mage::run()

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1155
Joined:  2008-04-24
 

You cannot import a 1.1.8 database into a fresh 1.2.1 release. There could be changes to the database schema between the versions, which are not reflected in your database backup. Why can’t you just upgrade the 1.1.8 store instead of installing a fresh copy?

Instead, make a copy of your site and database, attempt upgrade to 1.2.1, and if everything goes well, upgrade your production site.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top